org.eclipse.net4j.db

## Interface IDBConnection

- All Superinterfaces:
    java.lang.AutoCloseable, java.sql.Connection, IUserAware, java.sql.Wrapper

      public interface IDBConnection
      extends java.sql.Connection, IUserAware

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBDatabase` | `getDatabase()`
    `IDBSchemaTransaction` | `openSchemaTransaction()`
    `IDBPreparedStatement` | `prepareStatement(java.lang.String sql, IDBPreparedStatement.ReuseProbability reuseProbability)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int autoGeneratedKeys)` Deprecated. Not supported.
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int[] columnIndexes)` Deprecated. Not supported.
    `IDBPreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, IDBPreparedStatement.ReuseProbability reuseProbability)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Deprecated. Not supported.
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, java.lang.String[] columnNames)` Deprecated. Not supported.

    - ### Methods inherited from interface java.sql.Connection

      `abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Method Detail

    - #### getDatabase

          IDBDatabase getDatabase()

    - #### openSchemaTransaction

          IDBSchemaTransaction openSchemaTransaction()

    - #### prepareStatement

          IDBPreparedStatement prepareStatement(java.lang.String sql,
                                                IDBPreparedStatement.ReuseProbability reuseProbability)

    - #### prepareStatement

          IDBPreparedStatement prepareStatement(java.lang.String sql,
                                                int resultSetType,
                                                int resultSetConcurrency,
                                                IDBPreparedStatement.ReuseProbability reuseProbability)

    - #### prepareStatement

          @Deprecated
          java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                                   int autoGeneratedKeys)
                                                            throws java.sql.SQLException

      Deprecated. Not supported.
      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          @Deprecated
          java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                                   int resultSetType,
                                                                   int resultSetConcurrency,
                                                                   int resultSetHoldability)
                                                            throws java.sql.SQLException

      Deprecated. Not supported.
      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          @Deprecated
          java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                                   int[] columnIndexes)
                                                            throws java.sql.SQLException

      Deprecated. Not supported.
      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          @Deprecated
          java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                                   java.lang.String[] columnNames)
                                                            throws java.sql.SQLException

      Deprecated. Not supported.
      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html